pydo.security.get_scan()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.security.get_scan(
    scan_id="497dcba3-ecbf-4587-a2dd-5eb0665e6880",
    severity=None,
    per_page=20,
    page=1,
    type=None,
)
Returns JSONRaises HttpResponseError

Description

To get a CSPM scan by ID, send a GET request to /v2/security/scans/{scan_id}.

Parameters

scan_id string required

The scan UUID.

severity string optional

The finding severity level to include.

One of: LOW, MEDIUM, HIGH, CRITICAL

per_page integer optional

Number of items returned per page

Min: 1

Max: 200

Default: 20

page integer optional

Which 'page' of paginated results to return.

Min: 1

Default: 1

type string optional

The finding type to include.

Response Example

Show Response Example
{
  "scan": {
    "id": "760e09ef-dc84-11e8-981e-3cfdfeaae000",
    "status": "COMPLETED",
    "created_at": "2025-12-04T00:00:00Z",
    "findings": []
  }
}

More Information

See /v2/security/scans/{scan_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.